

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.10. grn_encoding &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.11. grn_expr" href="grn_expr.html" />
    <link rel="prev" title="7.25.9. grn_db" href="grn_db.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_encoding.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_expr.html" title="7.25.11. grn_expr"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_db.html" title="7.25.9. grn_db"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.10. </span><code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-encoding">
<h1><span class="section-number">7.25.10. </span><code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code><a class="headerlink" href="#grn-encoding" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.10.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.10.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.10.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c type">
<dt id="c.grn_encoding">
<em class="property">type </em><code class="sig-name descname">grn_encoding</code><a class="headerlink" href="#c.grn_encoding" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>TODO…</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_get_default_encoding">
<a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <code class="sig-name descname">grn_get_default_encoding</code><span class="sig-paren">(</span>void<span class="sig-paren">)</span><a class="headerlink" href="#c.grn_get_default_encoding" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>デフォルトのencodingを返します。</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_set_default_encoding">
grn_rc <code class="sig-name descname">grn_set_default_encoding</code><span class="sig-paren">(</span><a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <em>encoding</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_set_default_encoding" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>デフォルトのencodingを変更します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>encoding</strong> – 変更後のデフォルトのencodingを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_encoding_to_string">
<em class="property">const</em> char *<code class="sig-name descname">grn_encoding_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <em>encoding</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_encoding_to_string" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>Returns string representation for the encoding. For example, ‘grn_encoding_to_string(<code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code>)’ returns ‘“utf8”’.</p>
<p>“unknown” is returned for invalid encoding.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>encoding</strong> – The encoding.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_encoding_parse">
<a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <code class="sig-name descname">grn_encoding_parse</code><span class="sig-paren">(</span><em class="property">const</em> char *<em>name</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_encoding_parse" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>Parses encoding name and returns grn_encoding. For example, ‘grn_encoding_parse(“UTF8”)’ returns ‘<code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code>’.</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code> is returned for invalid encoding name.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> – The encoding name.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.10. <code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.10.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.10.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.10.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_db.html"
                        title="previous chapter"><span class="section-number">7.25.9. </span><code class="docutils literal notranslate"><span class="pre">grn_db</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_expr.html"
                        title="next chapter"><span class="section-number">7.25.11. </span>grn_expr</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_expr.html" title="7.25.11. grn_expr"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_db.html" title="7.25.9. grn_db"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.10. </span><code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>